summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Nishant Limbachia2012-05-13 15:07:52 +0200
committer dsomero2012-05-13 15:07:52 +0200
commit5f16d5268af69fcdab8d3e08991502deafd7f431 (patch)
treeec0018fd65713ddd7c307fe7d70b9c364f9f171f
parenta7496388ba1027c9ea102b0ad07bfd812ff57555 (diff)
downloadslackbuilds-5f16d5268af69fcdab8d3e08991502deafd7f431.tar.gz
perl/perl-IO-Multiplex: Added (IO::Multiplex perl module)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--perl/perl-IO-Multiplex/README5
-rw-r--r--perl/perl-IO-Multiplex/perl-IO-Multiplex.SlackBuild108
-rw-r--r--perl/perl-IO-Multiplex/perl-IO-Multiplex.info10
-rw-r--r--perl/perl-IO-Multiplex/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/perl/perl-IO-Multiplex/README b/perl/perl-IO-Multiplex/README
new file mode 100644
index 0000000000..d007bc68ec
--- /dev/null
+++ b/perl/perl-IO-Multiplex/README
@@ -0,0 +1,5 @@
+perl-IO-Multiplex manages IO on many file handles.
+
+perl-IO-Multiplex is required for amavisd-new package
+(by amavisd-signer process).
+
diff --git a/perl/perl-IO-Multiplex/perl-IO-Multiplex.SlackBuild b/perl/perl-IO-Multiplex/perl-IO-Multiplex.SlackBuild
new file mode 100644
index 0000000000..7e1afae6d7
--- /dev/null
+++ b/perl/perl-IO-Multiplex/perl-IO-Multiplex.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware Package Build Script for perl modules: IO-Multiplex
+# Home Page http://search.cpan.org/dist/IO-Multiplex/
+
+# Copyright (c) 2012, Nishant Limbachia, Hoffman Estates, IL, USA
+# (nishant _AT_ mnspace _DOT_ net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+
+PRGNAM=perl-IO-Multiplex
+VERSION=${VERSION:-1.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=IO-Multiplex
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+DOCS="Changes README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -fr $TMP/$SRCNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $TMP/$SRCNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+# putting essential docs
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-IO-Multiplex/perl-IO-Multiplex.info b/perl/perl-IO-Multiplex/perl-IO-Multiplex.info
new file mode 100644
index 0000000000..279bbbe0f2
--- /dev/null
+++ b/perl/perl-IO-Multiplex/perl-IO-Multiplex.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-IO-Multiplex"
+VERSION="1.13"
+HOMEPAGE="http://search.cpan.org/dist/IO-Multiplex/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/M/MA/MARKOV/IO-Multiplex-1.13.tar.gz"
+MD5SUM="a74f4c07a543cbf06ba3b24fe1be94e9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="dsomero"
diff --git a/perl/perl-IO-Multiplex/slack-desc b/perl/perl-IO-Multiplex/slack-desc
new file mode 100644
index 0000000000..9dc7189ca8
--- /dev/null
+++ b/perl/perl-IO-Multiplex/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-IO-Multiplex: perl-IO-Multiplex (IO::Multiplex perl module)
+perl-IO-Multiplex:
+perl-IO-Multiplex: Manage IO on many file handles
+perl-IO-Multiplex:
+perl-IO-Multiplex: Homepage: http://search.cpan.org/dist/IO-Multiplex/
+perl-IO-Multiplex:
+perl-IO-Multiplex:
+perl-IO-Multiplex:
+perl-IO-Multiplex:
+perl-IO-Multiplex:
+perl-IO-Multiplex: